DBusPreallocatedSend Struct Reference
D-Bus secret internal implementation details » DBusConnection implementation details

Internals of DBusPreallocatedSend. More...

## Data Fields

DBusConnection * | connection
| Connection we'd send the message to.
DBusList * | queue_link
| Preallocated link in the queue.
DBusList * | counter_link
| Preallocated link in the resource counter.

## Detailed Description

Internals of DBusPreallocatedSend.

Definition at line 242 of file dbus-connection.c.

## Field Documentation

## connection

DBusConnection* DBusPreallocatedSend::connection

Connection we'd send the message to.

Definition at line 244 of file dbus-connection.c.

Referenced by dbus_connection_free_preallocated_send(), and dbus_connection_send_preallocated().

## counter_link

DBusList* DBusPreallocatedSend::counter_link

Preallocated link in the resource counter.

Definition at line 246 of file dbus-connection.c.

Referenced by dbus_connection_free_preallocated_send().

## queue_link

DBusList* DBusPreallocatedSend::queue_link

Preallocated link in the queue.

Definition at line 245 of file dbus-connection.c.

Referenced by dbus_connection_free_preallocated_send().

The documentation for this struct was generated from the following file:

- dbus-connection.c